Summary:	Free Japanese TrueType fonts
Name:		fonts-ttf-japanese
Version:	0.20040629
Release:	2mdk
License:	Distributable
URL:		http://sourceforge.jp/projects/efont/
Group:		System/Fonts/True type

## Original fonts is here
Source0:	%{name}-%{version}.tar.bz2
Source1:	fonts.alias
Source2:	cidinst.japanese
Source3:	cidunin.japanese

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype-tools
Obsoletes:	xtt-fonts
Provides:	xtt-fonts
Prereq:		%_sbindir/chkfontpath

%description
This Package provides Free Japanese TrueType fonts (sazanami-gothic, 
sazanami-mincho)


%prep
%setup -q

%build

%install
rm -fr %buildroot
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese
install -m 755 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese/cidinst
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese/cidunin

cd %buildroot/%_datadir/fonts/ttf/japanese/
/usr/sbin/ttmkfdir > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
cd -

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/japanese
   %_datadir/fonts/ttf/japanese/cidinst
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%preun
%_datadir/fonts/ttf/japanese/cidunin

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/japanese
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc README doc/*
%dir %_datadir/fonts/ttf/japanese/
%attr(0755,root,root) %_datadir/fonts/ttf/japanese/cid*
%config(noreplace) %_datadir/fonts/ttf/japanese/fonts.dir
%config(noreplace) %_datadir/fonts/ttf/japanese/fonts.scale
%config(noreplace) %_datadir/fonts/ttf/japanese/fonts.alias
%_datadir/fonts/ttf/japanese/fonts.cache-1
%_datadir/fonts/ttf/japanese/*.ttf

%changelog
* Sat Oct 02 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.20040629-2mdk
- added CID install/uninstall scripts (so that ghostscript sees the fonts)

* Wed Jun 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040629-1mdk
- new release

* Sun Jun 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20040621-4mdk
- fix release number

* Mon Jun 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040621-3mdk
- replace Kochi with Sazanami
- Sazanami is a successor to Kochi

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.20040217-2mdk
- fix buildrequires
- don't use () around commands, it will make rpm-build not exit on errors within the braces
- don't list files twice

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20020727-4mdk
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>: initial build
  (old Kochis have license problems. This is a package of "alternative" Kochis)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.20020727-4mdk
- rebuild
- fix obsolete-not-provided (rpmlint)

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.20020727-3mdk
- proper use of fc-cache

* Mon Dec 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.20020727-2mdk
- added Kochi-* fonts to cidinst scripts
- change cache files to Xft2 format

* Fri Sep  6 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.20020727-1mdk
- use now the kochi fonts, which work much better
- removed unused enconding file

* Wed Mar 06 2002 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.19990222-12mdk
- Add scripts to install/uninstall CID Fonts

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.19990222-11mdk
- Own /usr/share/fonts/ & Co
- Clean spec

* Sat Sep 22 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-10mdk
- manually  build fonts.dir (ttmkfdir can't fiond properly the font names)

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-9mdk
- added XftCache support

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.19990222-8mdk
- Use %%_tmppath for BuildRoot

* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-7mdk
- removed useless stuff in %%post

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-6mdk
- adapted for the xfs in XFree86 4

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 0.19990222-5mdk
- mandrake release.

* Thu Apr 20 2000 Vincent Saugey <vince@mandrakesoft.com> 0.19990222-4mdk
- Fixed group

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-3mdk
- make %post/%postun more robust
- new Groups: naming
- removed *.tti, which are now obsolete

* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.19990222-2mdk
- add depency on chkfontpath.

* Wed Aug 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake
- make %post scripts to automatically make them available
  or disabled from font server.

* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- chage TrueType fonts' directory name from truetype to TrueType

* Wed Feb 24 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [0.19990222]

* Thu Feb 18 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- make suitable fonts.dir/fonts.alias

* Thu Dec 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- stop addinf FontPath to XF86Config

* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- add buildarch tag

* Sat Dec 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- including ttindex files

* Thu Dec 10 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- First Build
